.frame {
	height: 100vh;
	display: flex;
	flex-direction: column;
	box-shadow: 0 0 10px #000;
	background-color: #f70e55;
	overflow: hidden;

	&__indicators {
		height: 100%;
		background-color: #f70e55;
		clip-path: polygon(0% 0%, 100% 0%, 100% 50%, 20% 50%, 15% 100%, 0% 100%);
	}

	&__top {
		width: 100%;
		filter: drop-shadow(0 0 5px #000);
	}
}

.lens {
	width: 15%;
	padding: 20px;
	display: flex;
	align-items: center;
	justify-content: center;

	&__glass {
		width: 5vw;
		height: 5vw;
		display: block;
		position: relative;
		background-color: #3098cc;
		border-radius: 50%;
		border: 4px solid #333;
		box-shadow: 0 0 10px #333;

		&:before {
			content: '';
			width: 1vw;
			height: 1vw;
			position: absolute;
			top: 20%;
			left: 20%;
			background-color: #86bdfe;
			border-radius: 50%;
		}
	}
}

.indicator {

}
